.banner-section {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 40px 0;

  &:before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 50%;
    width: 100vw;
    transform: translateX(-50%);
    bottom: 0;
    z-index: -1;
    background: $primary;
  }

  form {
    flex-basis: 600px;
  }
}

.banner__caption {
  margin-right: 100px;
  flex-basis: 450px;
}

.banner__title {
  color: $wh;
  font-weight: 500;
  margin-bottom: 10px;
  font-size: 2.5em;

}

.banner__teasing {
  color: $wh;
}

@media screen and(max-width: 1280px) {
  .banner-section {
    flex-wrap: wrap;

    & > *, & > form {
      flex-basis: 100%;
      margin-left: auto;
      margin-right: auto;

    }

    form {
      margin-top: 50px;
    }
  }
}


@media screen and(max-width: 640px) {
  .banner-section {
text-align: center;
    form {
      max-width: 400px;
      display: block;
      button[type="submit"] {
        width: 100%;
        margin-top: 20px;
        padding: 5px;
        svg {
          width: 20px;
        }
      }
    }
  }
}